Get generic inventory
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-inventory/inventory/generic/{inventoryId} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-inventory/inventory/generic/{inventoryId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-inventory/inventory/generic/{inventoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": 1000000033,
"inlocations": [
{
"location": {
"channel": [
12
],
"isActive": true,
"isDefault": false,
"name": "ABC MANHATTEN STORE",
"address": {
"street1": "888 Broadway",
"street2": "<string>",
"zipCode": "10003",
"city": "New York",
"state": "NY",
"country": "USA",
"phone": "<array>"
},
"pickup": false,
"type": "60a5844452e07600089d2cb7",
"kind": "Warehouse",
"locationId": 102,
"__v": 0,
"coordinates": {
"latitude": 40.738417,
"longitude": -73.98985
}
},
"_id": "5fee9d59f2f08a1b3cbdea08",
"inStock": 1000,
"channel": [
{
"quantityReserved": 0,
"_id": "60f5c3666a04ef0008b702f5",
"channelId": 12,
"allocation": {
"mou": "ABSOLUTE",
"unit": 1000
},
"id": "60f5c3666a04ef0008b702f5"
}
],
"inTransit": [
{
"_id": "60f5c3666a04ef0008b702f6",
"inTransitRef": "WO-20000",
"orderQuantity": 10000,
"quantityReserved": 0,
"orderDate": "2020-05-05T00:00:00.000Z",
"stockDate": "2020-05-05T00:00:00.000Z",
"id": "60f5c3666a04ef0008b702f6"
}
],
"id": "60f5c3666a04ef0008b702f4",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}
],
"sku": "SHIRT001",
"title": "Shirt",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}{
"code": "GET_INVENTORY_FAILED",
"message": "Unable to find Inventory"
}{
"code": "GET_INVENTORY_FAILED",
"message": "Unable to find Inventory"
}{
"code": "<string>",
"message": "<string>"
}Inventory
Get generic inventory
Get generic inventory
GET
/
api-inventory
/
inventory
/
generic
/
{inventoryId}
Get generic inventory
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Example:
"100003"
Query Parameters
Show child attributes
Show child attributes
Was this page helpful?
⌘I
